$GROUPFILE = $ARGV[1];
$PASSFILE= $ARGV[0];
$FLAG = "continue";
if (@ARGV < 2){
	print "usage: perl 04305008.pl passfilename groupfilename\n";
	exit;
}
open(GROUPFILE,$GROUPFILE) or die("Could not open group file.");
open(PASSFILE,$PASSFILE) or die("Could not open password file");
print "Enter group name or blank to exit: ";
$FLAG=<STDIN>;
chomp($FLAG);
while($FLAG ne "") {

$GFOUND=0;
foreach $line (<GROUPFILE>) {
    ($GName, $something, $GNumber) = split(':',$line);
    if($GName eq $FLAG){	
	$GFOUND=1;
	last;
    }	
}
if($GFOUND == 0){
	print "$FLAG: this group does not exist\n";
}
else{
	$firstentry=1;
	foreach $passline (<PASSFILE>){
		($uname,$temp1,$temp2,$thisgroup,$comment)=split(':',$passline);
		if($thisgroup eq $GNumber){
			if($firstentry){
				print "Group Number is $GNumber: \n";
				print "\nThe members are:\n";
				$firstentry=0;
			}
			$len=15-length($uname);
			$seperator=" " x $len;
			print "$uname".$seperator."$comment\n";
		}
	}
	if($firstentry){
		print "$FLAG: this group has no user\n";
	}
}
seek(GROUPFILE,0,SEEK_SET);
seek(PASSFILE,0,SEEK_SET);
print "Enter blank to exit, anything else to continue: ";
$FLAG=<STDIN>;
chomp($FLAG);
} 
close(PASSFILE);
close(GROUPFILE);
